
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用SharpZip压缩与解压缩的实战经验 / iVAN</title>

    <meta name="description" content="使用SharpZip压缩与解压缩的实战经验 压缩 首先,在 http://www.icsharpcode.net/OpenSource/SharpZipLib/Default.aspx 下载源码,找到&quot;ZipConstants.cs&quot;修改 public static string ConvertToString(byte[] data){ return Encoding.GetEncoding(&quot;gb2312&quot;).GetString(data, 0, data.Length); //return E ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用SharpZip压缩与解压缩的实战经验</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>压缩</p>
<p>首先，在 http://www.icsharpcode.net/OpenSource/SharpZipLib/Default.aspx 下载源码，找到“ZipConstants.cs”修改</p>
<p>public static string ConvertToString(byte[] data)<br />{<br />      return Encoding.GetEncoding("gb2312").GetString(data, 0, data.Length);<br />      //return Encoding.ASCII.GetString(data,0, data.Length);<br />}</p>
<p>public static byte[] ConvertToArray(string str)<br />{<br />       return Encoding.GetEncoding("gb2312").GetBytes(str);<br />       //return Encoding.ASCII.GetBytes(str);<br />}</p>
<p>如此就可支持中文名称了<br />以下是我写的压缩与解压缩的代码：</p>
<p>using System;<br />using System.Collections;<br />using System.ComponentModel;<br />using System.Data;<br />using System.Drawing;<br />using System.Web;<br />using System.Web.SessionState;<br />using System.Web.UI;<br />using System.Web.UI.WebControls;<br />using System.Web.UI.HtmlControls;<br />using ICSharpCode.SharpZipLib.Zip;</p>
<p>namespace OA<br />{<br />        /// &lt;summary&gt;<br />        /// WebForm1 的摘要说明。<br />        /// &lt;/summary&gt;<br />        public class WebForm1 : System.Web.UI.Page<br />        {<br />              public string ServerDir;<br />              private void Page_Load(object sender, System.EventArgs e)<br />              {<br />                // 在此处放置用户代码以初始化页面<br />                     this.ServerDir = Page.MapPath(".");<br />                     this.ZipFile("01.txt*02.txt*000.zip");  //只是示例，具体的大家自己去实现<br />                     this.ZipFile("01.txt*02.txt*001.zip");<br />                     this.UnZipFile("000.zip*001.zip");<br />        }</p>
<p>public string ShortDir(string s)<br />        {<br />              //将文件的绝对路径转为相对路径<br />               string d=s.Replace(ServerDir,"");<br />               return d;<br />        }</p>
<p>//压缩文件 p 为客户端传回来的文件列表：文件名+压缩包的名称<br />          public void ZipFile(string p)<br />          {<br />                   string[] tmp = p.Split(new char[]{'*'});  //分离文件列表<br />                   if(tmp[tmp.Length-1]!="")  //压缩包名称不为空<br />                    {<br />                          ZipOutputStream u = new ZipOutputStream(File.Create(ServerDir+tmp[tmp.Length-1]));            //新建压缩文件流 “ZipOutputStream”<br />                          for(int i =0;i&lt;tmp.Length-1;i++)<br />                          {<br />                                 if(tmp[i]!="")  //分离出来的文件名不为空<br />                                 {<br />                                          this.AddZipEntry(tmp[i],u,out u); //向压缩文件流加入内容<br />                                 } <br />                           }<br />                           u.Finish(); // 结束压缩<br />                           u.Close();<br />                     }<br />            }</p>
<p>//添加压缩项目：p 为需压缩的文件或文件夹； u 为现有的源ZipOutputStream；  out j为已添加“ZipEntry”的“ZipOutputStream”<br />             public void AddZipEntry(string p,ZipOutputStream u,out ZipOutputStream j)<br />             {<br />                   string s =ServerDir+p;</p>
<p>if(Directory.Exists(s))  //文件夹的处理<br />                   {<br />                         DirectoryInfo di = new DirectoryInfo(s);</p>
<p>//***********以下内容是修订后添加的***********</p>
<p>if(di.GetDirectories().Length&lt;=0)   //没有子目录<br />                          {<br />                                    ZipEntry z = new ZipEntry(p+"\\"); //末尾“\\”用于文件夹的标记<br />                                     u.PutNextEntry(z);<br />                           }</p>
<p>//***************以上内容是修订后添加的***************</p>
<p>foreach(DirectoryInfo tem in di.GetDirectories())  //获取子目录<br />                            {<br />                                    ZipEntry z = new ZipEntry(this.ShortDir(tem.FullName)+"\\"); //末尾“\\”用于文件夹的标记<br />                                     u.PutNextEntry(z);    //此句不可少，否则空目录不会被添加<br />                                     s = this.ShortDir(tem.FullName);<br />                                     this.AddZipEntry(s,u,out u);       //递归<br />                           }<br />                            foreach(FileInfo temp in di.GetFiles())  //获取此目录的文件<br />                           {<br />                                     s = this.ShortDir(temp.FullName);<br />                                     this.AddZipEntry(s,u,out u);      //递归<br />                           }<br />                     }<br />                     else if(File.Exists(s))  //文件的处理<br />                     {</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:05:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/return/" title="return">return</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/system/" title="system">system</a>, <a href="https://www.iamivan.net/tag/using/" title="using">using</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用SharpZip压缩与解压缩的实战经验的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJq5Y2p.html" rel="bookmark">TUP第十三期：客户端性能优化实战经验分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				8月25日下午,CSDN TUP第十三期&quot;架构师沙龙快时代之客户端优化&quot;在北京丽亭华苑酒店举行.暴风影音播放研发总监黄森堂.搜狗研发总监李子拓和鲜果CEO梁公军担任本次活动讲师,分别从PC和Moblie两个方面分享了客户端性能优化的实战经验. 合理的架构设计,对客户端后期优化至关重要 暴风影音播放器一直因为&quot;慢&quot;,而引发用户诸多抱怨.新发布的暴风影音5在启动速度上较暴风影音3提升了3倍.暴风影音播放研发总监黄森堂以暴风影音5的研发为案例,分享了暴风影音在实现&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKkrab.html" rel="bookmark">交通和个性化推荐实战经验分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  而在4月20日的云栖大会深圳峰会的&lt;大数据&gt;专场上,数加又有新的迅猛变化,产品体系更加清晰,场景化方案走向个性化,来自企业的实践也已走向深入.   今日的数加:16+产品,3大方案,3种可视化应用   如果从阿里云官网导航栏的&quot;大数据&quot;入口进入,可以看到产品.解决方案.可视化是数加的三大框架体系.具体来看: 产品方面已经拥有16款产品: 开发套件:大数据开发.机器学习.BI报表: 数据应用:推荐引擎.规则引擎标准版.移动定向营销版.移动数据分析: 智能算法:智能语音交互			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3ox7b.html" rel="bookmark">网易&OpenCurlyDoubleQuote;世界杯球星卡&rdquo;设计项目实战经验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  编者按:学习时间到咯!很多同学读书时只顾着学习软件和设计理论,木有公司实习的经验,求职时就多了点难度,小编给个建议,多看大公司的设计项目实战经验!比如今天分享的这篇,网易同学@NeilYoung_ixd总结了&quot;世界杯球星卡&quot;的项目经验,既可以了解流程,也能偷师点经验,何乐而不为? 写在前面 能把兴趣做成工作是一件幸运的事.工作上难免的PK和时间紧迫其实也是值得欣慰的,因为这正是价值最大化体现的时候.也应了那句话,好的心态才有更好的风景. 相信和大家一样,每次下载到国外的应用,都要先			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZ2Koz.html" rel="bookmark">我的 Android 开发实战经验总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的 Android 开发实战经验总结 字数4440 阅读5137 评论43 喜欢250 以前一直想写一篇总结 Android 开发经验的文章,估计当时的我还达不到某种水平,所以思路跟不上,下笔又捉襟见肘.近日,思路较为明朗,于是重新操起键盘开始码字一番.先声明一下哈,本人不是大厂的程序猿.去年毕业前,就一直在当前创业小团队从事自己热爱的打码事业至今.下面总结是建立在我当前的技术水平和认知上写的,如有不同看法欢迎留下评论互相交流. 1.理解抽象,封装变化 目前 Android 平台上绝大部分开发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNmaxb.html" rel="bookmark">PHP自带ZIP压缩、解压缩类ZipArchiv使用指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了PHP自带ZIP压缩.解压缩类ZipArchiv使用指南,十分详细,需要的朋友可以参考下     要使用该PHP扩展类,需要(PHP 5 &gt;= 5.2.0, PECL zip &gt;= 1.1.0),部分方法需要 PHP 5.2.+,且php.ini配置支持zip 对于win系统,直接去掉php_zip.dll 扩展的注释,然后重启http服务(IIS或Apache)即可 Linux还没有试验,理论上差别不会很大 功能: 1.解压缩zip文件 2.将文件压缩成zip文件 3.追			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9ze9G8z.html" rel="bookmark">网页设计原则理念以及实战经验技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是好的网页设计,网页设计原则理念 (1)内容和功能决定表现形式和界面设计 常常有人凭借电话的几句交流或者QQ上的几句聊天,甚至是一张句话的小纸条,就开始做一个网站设计.我决的这都是敷衍了事的通用设计,很不专业不成熟的设计.做一个良好的网页设计,你需要了解客户的东西很多,比如: 1.建站目的(是主推产品还是平品牌,是主要注重SEO还是用户交互等) 2.网站类型 3.栏目规划及每个栏目的表现形式及功能要求 4.主色调.客户性别喜好.联系方式.旧版网址.偏好网址 5.根据行业和客户要求,那些要着重			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeNWAb.html" rel="bookmark">修复SQLSERVER2000数据库之实战经验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server|sqlserver|数据|数据库 修复SQLSERVER2000数据库之实战经验 ******************************************************************************** Author:黄山光明顶 mail:leimin@jxfw.com version:1.0.0 date:2004-1-30 (如需转载,请注明出处!,如果有问题请发MAIL给我:-)) ***************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLLAap.html" rel="bookmark">一路走来，网站建设&amp;amp&semi;nbsp&semi;实战经验分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站建设  有点累,我就随笔写写,不过应该有实用的价值,虽然思维很乱 网站建设实战经验: 一.  想不如做,作为小小的个人站长,不要一开始就去思考新模式新技术,觉得可以,就马上去做,经验是在不断地实战中得出的 二.  空间的速度非常重要,有条件就弄个双线的,空间的速度是影响流量的很大的因素 三.  网站的稳定性很重要,不要老是出问题 四.  网站大的布局不要经常去改动,存在的即是合理的,你的网站在访客心目中的形象早就确定了 五.  网站优化很重要,通过实战去摸索,有些专业SEO站的技巧不一定适合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNo2Wp.html" rel="bookmark">实战经验总结 如何顺利快速走出百度沙盒期</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信广大的seoer都知道百度对新站是有一个沙盒期的,先来补补课老鸟飞过,沙盒期是指新站上线搜索引擎不能判断该站是垃圾站还是正规站,就把它放进沙盒中,我们优化中文站是针对百度搜索引擎来说的在这期间具体的表现就是关键词没有排名,网站出沙盒的时间大约在半个月到两个月之间.许多的新手朋友在这期间原创文章也写,外链也做可最后就是没有排名,只好垂头丧气的放弃,其实这是非常可惜的,或许你在坚持个把月排名就会出来,二腾非常能体会大家的感受,因为都是从这个阶段过来的,看不到成果的情况下做任何事都没有动力,呢怎样			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7xORb.html" rel="bookmark" class="title">你中枪了吗？设计新手在PS中最常犯的错误</a>
					<div>
						Photoshop是最流行的图像合成软件,粉丝遍布全球,不过对于新手设计师,可能犯一些常见的错误,在这篇文章中笔者列出了6个频率较高的错误,来看看你中枪了没. 一.少图层,没分组 这个坏习惯我们在&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDwXXp.html" rel="bookmark" class="title">js面向对象学习 - 对象概念及创建对象</a>
					<div>
						一.对象概念 对象是什么?对象是&quot;无序属性的集合,其属性可以包括基本值,对象或者函数&quot;.也就是一组名值对的无序集合. 对象的特性(不可直接访问),也就是属性包含两种,数据属性和访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkgldp.html" rel="bookmark" class="title">日IP突破1万，谈谈我做网页吧的几点经验</a>
					<div>
						现在在机房给学生上课,累了,我要学生自己练习,机房里有点吵,没办法,借这点时间总结这一年多来做网页吧wangyeba.com的经验. 做网页吧有一年多了,前不久终于日IP突破了1W,难免有几许激动,几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo5BVp.html" rel="bookmark" class="title">处理二进制数据</a>
					<div>
						我们在使用数据库时,有时会用到图像或其它一些二进制数据,这个时候你们就必须使用getchunk这个方法来从表中获得二进制大对象,我们也可以使用AppendChunk来把数据插入到表中. 我们平时来取数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ZN0p.html" rel="bookmark" class="title">在Oracle中使用锁进行并发控制</a>
					<div>
						现在主流的数据库管理系统中,都支持多个事务同时执行,这样提高了数据库管理系统的运行效率.试想如果只允许一个事务运行,而这个事务又需要很长的时间,那么其他的用户必须一直等待该事务结束,效率何其低下.执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKEY1p.html" rel="bookmark" class="title">JavaScript获取并更改input标签name属性的方法</a>
					<div>
						  本文实例讲述了JavaScript获取并更改input标签name属性的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP6Noz.html" rel="bookmark" class="title">Photoshop另类抠图技巧</a>
					<div>
						抠图教程 原图       最终效果图   对于有一定难度的问题,我一般都会做个小实验,大家跟我看一下这样的实验后,就会明白要怎么做这个抠图的工作了. 1.首先将画笔调整以下状态 ,这里说一下,钢笔压 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P330M.html" rel="bookmark" class="title">键盘的选购及其保养</a>
					<div>
						有一半以上使用电脑的人都会玩游戏,这就对键盘的要求比较高,很多人选购名牌键盘却不知道如何保养,这里就教你键盘的选购和保养常识,让键盘寿命更长久. 1.购买键盘时,全键盘的按键都有相同的手感,要尽量选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRkoYz.html" rel="bookmark" class="title">Flash动画&OpenCurlyDoubleQuote;闪&rdquo;在PowerPoint里面地四种办法</a>
					<div>
						Flash是大名鼎鼎的美国Macromedia公司推出的一款优秀的矢量动画制作软件,它简单易学,功能强大,能制出声图文并茂的多媒体文件,并且文件体积小,所以深受广大教师的欢迎,那么如何让Flash动画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX2wGp.html" rel="bookmark" class="title">Photoshop给美女照片添加甜美的黄褐色技巧</a>
					<div>
						素材图片拍摄的有点暗,不能很好的突出人物.处理的时候可以适当给图片增加暖色和亮度,营造出柔和阳光的效果,再简单美化人物即可. 原图 最终效果 1.打开素材图片,创建通道混合器调整图层,对红,蓝进行调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3R8EM.html" rel="bookmark" class="title">巧用Win 7画图调整图片大小</a>
					<div>
						  一.调整图片的大小 在Windows7中,画图工具不仅可以绘图,还可以调整整个图像.图片中某个对象或某部分的大小.操作方法:用画图打开图片后,在主页选项卡中图像栏中,点击&quot;调整大小和扭曲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr6KXp.html" rel="bookmark" class="title">小技巧帮你完成创意十足的网页设计</a>
					<div>
						  作为一名设计师,每年都会沉浸在一些新的设计趋势中兴奋不已.接下来,我们将探寻2013年的最新设计趋势,这绝对是意义非凡的事情.Web设计师必须洞悉所有相关领域的新趋势,紧跟时尚潮流. 这些新趋势让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ZDBb.html" rel="bookmark" class="title">Windows7 CMD提示的5个技巧</a>
					<div>
						  1.自定义命令提示符颜色 默认状况下,命令提示符是黑底白字的,要更改这单调的颜色非常简单,点击左上角的黑色小图标-属性.然后在颜色选项卡中选择自己合适的颜色即可.同时可以自定义的还有字体.窗口布局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6V1Nb.html" rel="bookmark" class="title">FileGee帮你U盘文件自动备份&quest;</a>
					<div>
						  利用FileGee实现U盘文件自动备份具体步骤: 首先,需要建立一个任务,当然这个任务的源目录或者目标目录中至少有一个是在移动存储设备上的.然后,把这个任务设置成实时执行. 任务建立后,可以在任务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmKKWz.html" rel="bookmark" class="title">没去Ardupilot开发者大会的同学看过来，绝对干货满满！</a>
					<div>
						10月22日,由赫星科技有限公司和Ardupilot社区联合主办,由台湾无人机应用发展协会,深圳无人机协会,北京高博特传媒有限公司协办,首届Ardupilot全球无人机开发者大会在厦门国际会展酒店顺利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYREG6p.html" rel="bookmark" class="title">解决VS2015中没有报表项&lpar;ReportViewer&rpar;的方法&lowbar;实用技巧</a>
					<div>
						没有报表,一般默认安装之后会出现这种情况,在安装的时候选择自定义安装,把Microsoft Office 开发人员工具.Microsoft SQL Server Data Tools勾选上,安装之后就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPXqZp.html" rel="bookmark" class="title">成都电信助力打造西部通信枢纽</a>
					<div>
						作为成都构建西部&quot;两枢纽.三中心.四基地&quot;战略规划的重要一环,成都正着力打造成为汇聚西部.服务全国和沟通世界的国家级通信枢纽.中国电信作为国有重要骨干企业,承担着保障国家通信命脉的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6WxNb.html" rel="bookmark" class="title">关于C&num;中操作EXCEL后&comma;关闭对象但EXCEL进程仍然存在的解决办法&period;</a>
					<div>
						问题描述 自己之前一直被这个问题困扰,也在网上找了很多资料,大部分都是用杀死进程的方法来解决,个人觉得这个太影响代码美观了.今天偶然发现了解决办法.给大家共享一下.现象:我在C#中,需要从EXCEL导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7ogAz.html" rel="bookmark" class="title">sql2005安装成功后无法使用</a>
					<div>
						问题描述 sql2005安装成功后无法使用 系统:win2008 问题:以前装的SQL2008,卸载掉后装SQL2005,无法安装成功(安装过程不报错,但用不了) 如图是不是说明SQL2008未完全卸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDweaz.html" rel="bookmark" class="title">c 指针 文件输入输出-C语言fprintf和fscanf问题</a>
					<div>
						问题描述 C语言fprintf和fscanf问题 这段代码是为了打开一个文件,用fprintf输入字符串,在用fscanf返回,最后看fscanf的返回值.但是这段程序一运行就出错,猜测是指针访问问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEJlkM.html" rel="bookmark" class="title">编码-用dataset&period;readxml读取xml，有多个table，怎么把这些数据汇到一个table？</a>
					<div>
						问题描述 用dataset.readxml读取xml,有多个table,怎么把这些数据汇到一个table? 用dataset.readxml读取xml,由于有多个级别,直接读取会有多个table,怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBKqrM.html" rel="bookmark" class="title">教你如何站外引用腾讯视频</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 作为站长,我们经常要在文章中引用视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5KoZM.html" rel="bookmark" class="title">为 Android 添加 Java 层服务</a>
					<div>
						1.     为什么要写底层核心服务呢?           因为底层核心服务是 Android框架里最接近 Linux/Driver的部分.为了充分发挥硬件设备的差异化特性,核心服务是让上层 Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQLK4p.html" rel="bookmark" class="title">QTP脚本如何实现获取浏览器的链接啊？</a>
					<div>
						问题描述 QTP脚本如何实现获取浏览器的链接啊? 我想在想要做的是:通过用QTP去自动化获取浏览器的链接,然后在复制到其他地方去.应该怎么弄啊?方法是什么? 解决方案 http://blog.csdn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRPlrp.html" rel="bookmark" class="title">大数据一体化：迈向人工智能的&OpenCurlyDoubleQuote;必由之路&rdquo;</a>
					<div>
						近日,由北京供销大数据集团(SinoBBD)举办的&quot;加快大数据中心一体化进程·2017北京峰会&quot;在京召开.创新工场及人工智能工程院.科蓝软件.Testin云测.中国银行数据中心.清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgLmZM.html" rel="bookmark" class="title">为什么很多技术合伙人参与创业时会先谈钱</a>
					<div>
						摘要: 昨天在 36kr 看到一篇文章很有意思,「为什么很多技术合伙人参与创业时会先谈钱」,其实简单说就是信任问题,要不对人缺乏信任,要不对要做的事情还缺乏信任.因为一个靠谱的技 昨天在 36kr 看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLNJqM.html" rel="bookmark" class="title">servlet-form表单action带参数传递</a>
					<div>
						问题描述 form表单action带参数传递 上面是我的form头 我想要传type类型到servlet,但是servlet中接收到的type为空,请问type后面应该怎么写 解决方案 把 type= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60nnNz.html" rel="bookmark" class="title">&amp;ldquo&semi;大院快递&amp;rdquo&semi;，要害在&amp;ldquo&semi;大院&amp;rdquo&semi;</a>
					<div>
						据新华日报报道:日前,在江苏南通市行政中心大院工作的董姓女士在收发室签收一份特快专递时发现,这件装着一份普通会议通知的快递,竟是同在一个大院里办公的另一部门花费20元寄来的. 在同一座大院里办公,前后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0vJvp.html" rel="bookmark" class="title">山寨支付宝180人上当</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/18914.html&quot;&gt;重庆晚报讯 本报去年曾报道一起山寨支付宝案件上当受骗数百人.目前该案有了最新进展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xwqVb.html" rel="bookmark" class="title">深圳多家上市公司结盟 打造互联网金融&OpenCurlyDoubleQuote;正规军&rdquo;</a>
					<div>
						创维.汤臣倍健.海能达等22家上市公司在深圳前海注册成立的深圳市鹏鼎创盈金融信息服务股份有限公司,新一轮增资扩股协议签署完成,注册资本将达到5.2778亿元. 从深圳市高新投集团有限公司(简称&quo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
